package cn.com.qmth.stmms.biz.exam.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.SubjectUser;

public interface SubjectUserDao extends PagingAndSortingRepository<SubjectUser, Integer>,
        JpaSpecificationExecutor<SubjectUser> {

    List<SubjectUser> findByUserId(Integer userId);

    List<SubjectUser> findBySubjectCode(String subjectCode);

    SubjectUser findBySubjectCodeAndUserId(String subjectCode, Integer userId);
}
